﻿CREATE PROCEDURE [dbo].[AddUserToGroup]
	@GroupId UNIQUEIDENTIFIER,
	@UserId NVARCHAR(450)
AS
BEGIN
	SET IMPLICIT_TRANSACTIONS ON
	
	BEGIN TRY
		DECLARE @GroupIdNumeric INT = (SELECT Id FROM dbo.[Group] WHERE GroupId = @GroupId);

		INSERT INTO [dbo].GroupUser(IdGroup, IdUser, IdRole) VALUES (@GroupIdNumeric, @UserId, 2)

		COMMIT
	END TRY

	BEGIN CATCH
		ROLLBACK
	END CATCH
END
